package com.mmc.iuav.user.entity.fdd;

import java.io.Serializable;
import java.util.Date;

/**
 * (SealInfoDO)实体类
 *
 * @author makejava
 * @since 2023-09-08 14:30:13
 */
public class SealInfoDO implements Serializable {
    private static final long serialVersionUID = -88451609760389058L;

    private Integer id;
    /**
     * 印章名称
     */
    private String sealName;
    /**
     * 印章编号
     */
    private String signatureId;
    /**
     * 用户唯一标识
     */
    private String unionId;
    /**
     * 印章状态：0未使用 1使用中
     */
    private Integer sealStatus;
    /**
     * 印章图片
     */
    private String sealUrl;

    private Date createTime;

    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getSealName() {
        return sealName;
    }

    public void setSealName(String sealName) {
        this.sealName = sealName;
    }

    public String getSignatureId() {
        return signatureId;
    }

    public void setSignatureId(String signatureId) {
        this.signatureId = signatureId;
    }

    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

    public Integer getSealStatus() {
        return sealStatus;
    }

    public void setSealStatus(Integer sealStatus) {
        this.sealStatus = sealStatus;
    }

    public String getSealUrl() {
        return sealUrl;
    }

    public void setSealUrl(String sealUrl) {
        this.sealUrl = sealUrl;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

